Kerbal Space Program - Bug #19340

Backdoor EVA from Mobile Processing Lab changes craft's trajectory
07/01/2018 10:49 AM - Tomator

Status: Confirmed Start date: 07/01/2018
Severity: Low % Done: 10%
Assignee:

Category: Parts

Target version:

Version: 1.4.4 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Core Game

Description

Science module has two doors and the expected one, for me, to see Kerman on EVA is the right one (seeing in construction hangar
towards the launchpad). However, when making EVA in space, Kerman gets out through the 'back door', so if | placed measurement
instruments by the right door, it's not right. Fine. Some may have expected that kerbals will walk out the other door so 'fix to match
my expectation' would break the others' designs.

The worst thing is the kerbals apparently share my expectations and when got out of science module find themselves back to the
ladder or handles. They panically turn back to grab the handle. This adds rotation to the ship and changes its speed. When
such maneuver is made few times close to Kerbin with a ship going towards Minmus, the trajectory changes so much that the
Minmus is passed by then on the other side and the maneuver that has been planned earlier would cause the ship hit the moon
instead of establishing safe orbit if not corrected.

So the bug influences spaceflight safety.

When a part has more than one exit, the default one should be selectable. Either exit is default, however, the kerbal must get out
facing to the door, not outside. The momentum must be preserved.

History

#1 - 07/02/2018 08:01 AM - diomedea
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#3 - 01/09/2019 06:47 PM - Nebbie

- Platform Linux added

Still happening in 1.6
